Bug 70929 - Bad: After install of util-linux-2.10m-12.7.0, the login never gives a prompt with telnet or rlogin
Bad: After install of util-linux-2.10m-12.7.0, the login never gives a prompt...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 19:37 EDT by ngriffin
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-09 00:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ngriffin 2002-08-06 19:37:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (WinNT; U)

Description of problem:
We installed the patch on all 70 machines and when you login:
Ex. telnet  blanch.chem.uno.edu/ enter userid and password\Hit Enter
You never get the prompt.  We had to install the util-linux from the original distribution

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install util-linux-2.10m-12.7.0 on a 70 machine
2.reboot
3.try to telnet or rlogin
	

Actual Results:  Cannot get prompt - it just hangs

Expected Results:  You should get a prompt

Additional info:
Comment 1 Elliot Lee 2002-08-08 12:49:40 EDT
Can't reproduce here. Since changing versions fixes the problem for you, I don't doubt that 
util-linux is somehow related to the problem, but without a way to reproduce it, there's 
nothing I can do to fix it. Patches/ideas welcome, otherwise you may want to just upgrade 
to a more recent release (it's worth trying the util-linux from 7.1/7.2 errata to see if that 
helps).
Comment 2 ngriffin 2002-08-09 00:30:38 EDT
The problem does not exist in 7.2 - thanks!!!
Comment 3 Phil Mayers 2002-12-18 09:46:33 EST
I've reproduces this with a serial line getty running from init - there appears
to be a weird code path in login - after open(2)'ing /etc/motd it does a read(2)
from FD 1 (stdout) - which is clearly wrong!

I've upgraded the machine to 7.1's util-linux, so assume the bug is fixed or the
odd code path isn't excercised for some reason, but I'll take a look at the
source in new year.

Note You need to log in before you can comment on or make changes to this bug.